# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate bitflags

Name:           rust-%{crate}
Version:        1.3.2
Release:        %mkrel 2
Summary:        Macro to generate structures which behave like bitflags

Group:          Development/Other
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/bitflags
Source:         %{crates_source}
# Initial patched metadata
# * drop dependencies on compiler internals
Patch0:         bitflags-fix-metadata.diff
# * upstream patch to fix building tests with trybuild >= 1.0.57
Patch1:         https://github.com/bitflags/bitflags/commit/44c7063.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Macro to generate structures which behave like bitflags.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+example_generated-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+example_generated-devel %{_description}

This package contains library source intended for building other packages
which use "example_generated" feature of "%{crate}" crate.

%files       -n %{name}+example_generated-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip trybuild tests that are broken due to cosmetic string differences
%cargo_test -- -- --skip fail
%endif


%changelog
* Mon May 08 2023 neoclust <neoclust> 1.3.2-2.mga9
+ Revision: 1956217
- Revert to version 1.3.2 ( 2.0.2 breaks too many packages

* Thu Mar 23 2023 kekepower <kekepower> 2.0.2-1.mga9
+ Revision: 1950192
- Update to version 2.0.2 to fix latest autobuild failure
+ guillomovitch <guillomovitch>
- switch to automatic build dependencies
- add upstream patch to fix building tests with trybuild >= 1.0.57

* Fri Mar 25 2022 umeabot <umeabot> 1.3.2-2.mga9
+ Revision: 1825694
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 guillomovitch <guillomovitch> 1.3.2-1.mga9
+ Revision: 1784198
- new version 1.3.2

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1508059
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1291448
- Mageia 7 Mass Rebuild

* Tue Sep 11 2018 tv <tv> 1.0.1-1.mga7
+ Revision: 1258329
- imported package rust-bitflags


* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-2
- Rebuild for rust-packaging v5

* Mon Nov 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Sat Nov 04 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.2-2
- Port to use rust-packaging

* Thu Mar 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Thu Feb 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Sun Feb 12 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Initial package
